### Function

# GLib Variant new_signature

since: 2.24

#### Declaration

    GVariant*
    g_variant_new_signature (
      const gchar* signature
    )

#### Description

Creates a D-Bus type signature `GVariant` with the contents of `string`. `string` must be a valid D-Bus type signature. Use `g_variant_is_signature()` if you’re not sure.

Available since: 2.24

#### Parameters

`signature`

  Type: `const gchar*`

  A normal C nul-terminated string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GVariant`

A floating reference to a new signature `GVariant` instance.

The data is owned by the called function.